function [p,e,t]=pdermpnt(p,e,t)
%PDERMPNT Remove points that are not used in triangular mesh.

%	L. Langemyr 1-10-95.
%	Copyright (c) 1994-95 by The MathWorks, Inc.
%	$Revision: 1.4.1.1 $  $Date: 1995/08/14 15:05:48 $


i=t(1:3,:); i=i(:);
j=zeros(1,size(p,2));
j(i)=ones(size(i));
k=cumsum(j);

p=p(:,j);
e(1:2,:)=reshape(k(e(1:2,:)),2,size(e,2));
t(1:3,:)=reshape(k(t(1:3,:)),3,size(t,2));
